#ifndef COMPILE_H
#include "COMPILE.H"
#endif
#ifdef MEDIA692_X31J
FUNC_DEF void main(
)
{
        int L1888_i_ReturnValue;
        char L1889_c_InputCharacter;
        int L1890_i_FileHandle;


        L1888_i_ReturnValue = B_SFTSNS(); /* Examine the state of the SHIFT key */
        if (L1888_i_ReturnValue & 1) { /* If SHIFT key is pressed */
                B_PRINT("\x1B*\r\n\r\n\r\n");
                B_PRINT("       　  　　　　続ダンジョン・マスター環境設定プログラム　      \r\n");
                B_PRINT("\r\n\r\n         このプログラムはディスプレイ・モードの設定をかえるものです。\r\n");
                B_PRINT("\r\n\r\n         続ダンジョン・マスター　ゲーム・ディスクのプロテクトシールをはがし\r\n");
                B_PRINT("         書き込みが出来るようにしてドライブ０にセットしてください。\r\n\r\n\r\n\r\n\r\n");
                B_PRINT("　         選択するディスプレイ・モードにより'０'または'１'のキーを押してください\r\n\r\n\r\n");
                B_PRINT("　　　                ３１ＫＨｚモード　−−−　　０　キー\r\n");
                B_PRINT("      　　    　      ２４ＫＨｚモード　−−−　　１　キー\r\n\r\n\r\n\r\n\r\n\r\n");
                B_PRINT("   　         設定が終わったらプロテクトシールを貼ってお使いください。\r\n\r\n");
                do {
                        L1889_c_InputCharacter = B_KEYINP() & 0xFF;
                } while (L1889_c_InputCharacter == 0); /* Wait for the user to press a key */
                if ((L1889_c_InputCharacter == '1') || (L1889_c_InputCharacter == '0')) {
                        if (L1889_c_InputCharacter == '0') {
                                B_PRINT("  31kHz mode chosen, changing default...\r\n");
                        } else {
                                B_PRINT("  24kHz mode chosen, changing default...\r\n");
                        }
                        L1888_i_ReturnValue = CREATE("VIDEO.PRM", 32L); /* 32 sets archive bit */
                        L1888_i_ReturnValue = OPEN("VIDEO.PRM", 2); /* 2 is read/write mode */
                        if (L1888_i_ReturnValue >= 0) {
                                L1890_i_FileHandle = L1888_i_ReturnValue;
                                L1888_i_ReturnValue = WRITE(L1890_i_FileHandle, &L1889_c_InputCharacter, sizeof(L1889_c_InputCharacter));
                                L1888_i_ReturnValue = CLOSE(L1890_i_FileHandle);
                        }
                }
        }
}
#endif
